> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Return Liability Ledger

> Get return related ledger for the specified date range.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/ledgers/return_liability_ledger.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/tax/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/ledgers/tax/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Ledgers
      summary: Return Liability Ledger
      description: Get ITC Ledger for the specified period for authenticated taxpayer
      operationId: getReturnLiabilityLedger
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: to
          in: query
          description: To Date (DD/MM/YYYY)
          required: true
          schema:
            type: string
        - name: from
          in: query
          description: From Date (DD/MM/YYYY)
          required: true
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          cl_bal:
                            type: object
                            properties:
                              cessbal:
                                type: object
                                properties:
                                  fee:
                                    type: number
                                    example: 1
                                  intr:
                                    type: number
                                    example: 1
                                  oth:
                                    type: number
                                    example: 1
                                  pen:
                                    type: number
                                    example: 1
                                  tot:
                                    type: number
                                    example: 6
                                  tx:
                                    type: number
                                    example: 1
                              cgstbal:
                                type: object
                                properties:
                                  fee:
                                    type: number
                                    example: 1
                                  intr:
                                    type: number
                                    example: 1
                                  oth:
                                    type: number
                                    example: 1
                                  pen:
                                    type: number
                                    example: 1
                                  tot:
                                    type: number
                                    example: 6
                                  tx:
                                    type: number
                                    example: 1
                              desc:
                                type: string
                                example: Closing Balance
                              igstbal:
                                type: object
                                properties:
                                  fee:
                                    type: number
                                    example: 1
                                  intr:
                                    type: number
                                    example: 1
                                  oth:
                                    type: number
                                    example: 1
                                  pen:
                                    type: number
                                    example: 1
                                  tot:
                                    type: number
                                    example: 6
                                  tx:
                                    type: number
                                    example: 1
                              sgstbal:
                                type: object
                                properties:
                                  fee:
                                    type: number
                                    example: 1
                                  intr:
                                    type: number
                                    example: 1
                                  oth:
                                    type: number
                                    example: 1
                                  pen:
                                    type: number
                                    example: 1
                                  tot:
                                    type: number
                                    example: 6
                                  tx:
                                    type: number
                                    example: 1
                              tot_rng_bal:
                                type: number
                                example: 24
                          fr_dt:
                            type: string
                            example: '092018'
                          gstin:
                            type: string
                            example: 06AAAAA0000A1Z6
                          to_dt:
                            type: string
                            example: '122018'
                          tr:
                            type: array
                            items:
                              type: object
                              properties:
                                cess:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                cessbal:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                cgst:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                cgstbal:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                desc:
                                  type: string
                                  example: Other than reverse charge
                                dschrg_typ:
                                  type: string
                                  example: ''
                                dt:
                                  type: string
                                  example: 09/03/2017
                                igst:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                igstbal:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                ref_no:
                                  type: string
                                  example: AM051216747183N
                                sgst:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                sgstbal:
                                  type: object
                                  properties:
                                    fee:
                                      type: number
                                      example: 2
                                    intr:
                                      type: number
                                      example: 2
                                    oth:
                                      type: number
                                      example: 2
                                    pen:
                                      type: number
                                      example: 2
                                    tot:
                                      type: number
                                      example: 12
                                    tx:
                                      type: number
                                      example: 2
                                tot_rng_bal:
                                  type: number
                                  example: 48
                                tot_tr_amt:
                                  type: number
                                  example: 48
                                tr_typ:
                                  type: string
                                  example: Dr
                            example:
                              - cess:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                cessbal:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                cgst:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                cgstbal:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                desc: Other than reverse charge
                                dschrg_typ: ''
                                dt: 09/03/2017
                                igst:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                igstbal:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                ref_no: AM051216747183N
                                sgst:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                sgstbal:
                                  fee: 2
                                  intr: 2
                                  oth: 2
                                  pen: 2
                                  tot: 12
                                  tx: 2
                                tot_rng_bal: 48
                                tot_tr_amt: 48
                                tr_typ: Dr
                              - cess:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                cessbal:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                cgst:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                cgstbal:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                desc: Other than reverse charge
                                dschrg_typ: credit
                                dt: 10/03/2017
                                igst:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                igstbal:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                ref_no: DI0506170000004
                                sgst:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                sgstbal:
                                  fee: 1
                                  intr: 1
                                  oth: 1
                                  pen: 1
                                  tot: 6
                                  tx: 1
                                tot_rng_bal: 24
                                tot_tr_amt: 24
                                tr_typ: Cr
                              - cess:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cessbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cgst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cgstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                desc: >-
                                  Negative liability adjusted in GSTR3B Other
                                  than reverse charge
                                dschrg_typ: credit
                                dt: 10/03/2017
                                igst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                igstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                ref_no: DI0506170000004
                                sgst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                sgstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                tot_rng_bal: 24
                                tot_tr_amt: 24
                                tr_typ: Cr
                              - cess:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cessbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cgst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                cgstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                desc: >-
                                  Negative liability adjusted in GSTR3B reverse
                                  charge
                                dschrg_typ: credit
                                dt: 10/03/2017
                                igst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                igstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                ref_no: DI0506170000004
                                sgst:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                sgstbal:
                                  fee: 0
                                  intr: 0
                                  oth: 0
                                  pen: 0
                                  tot: 0
                                  tx: 1000
                                tot_rng_bal: 24
                                tot_tr_amt: 24
                                tr_typ: Cr
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 66b13aa7-f255-447c-bc68-997f2a54a278
              examples:
                Success:
                  summary: Success
                  value:
                    code: 200
                    data:
                      data:
                        cl_bal:
                          cessbal:
                            fee: 1
                            intr: 1
                            oth: 1
                            pen: 1
                            tot: 6
                            tx: 1
                          cgstbal:
                            fee: 1
                            intr: 1
                            oth: 1
                            pen: 1
                            tot: 6
                            tx: 1
                          desc: Closing Balance
                          igstbal:
                            fee: 1
                            intr: 1
                            oth: 1
                            pen: 1
                            tot: 6
                            tx: 1
                          sgstbal:
                            fee: 1
                            intr: 1
                            oth: 1
                            pen: 1
                            tot: 6
                            tx: 1
                          tot_rng_bal: 24
                        fr_dt: '092018'
                        gstin: 06AAAAA0000A1Z6
                        to_dt: '122018'
                        tr:
                          - cess:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            cessbal:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            cgst:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            cgstbal:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            desc: Other than reverse charge
                            dschrg_typ: ''
                            dt: 09/03/2017
                            igst:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            igstbal:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            ref_no: AM051216747183N
                            sgst:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            sgstbal:
                              fee: 2
                              intr: 2
                              oth: 2
                              pen: 2
                              tot: 12
                              tx: 2
                            tot_rng_bal: 48
                            tot_tr_amt: 48
                            tr_typ: Dr
                          - cess:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            cessbal:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            cgst:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            cgstbal:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            desc: Other than reverse charge
                            dschrg_typ: credit
                            dt: 10/03/2017
                            igst:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            igstbal:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            ref_no: DI0506170000004
                            sgst:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            sgstbal:
                              fee: 1
                              intr: 1
                              oth: 1
                              pen: 1
                              tot: 6
                              tx: 1
                            tot_rng_bal: 24
                            tot_tr_amt: 24
                            tr_typ: Cr
                          - cess:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cessbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cgst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cgstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            desc: >-
                              Negative liability adjusted in GSTR3B Other than
                              reverse charge
                            dschrg_typ: credit
                            dt: 10/03/2017
                            igst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            igstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            ref_no: DI0506170000004
                            sgst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            sgstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            tot_rng_bal: 24
                            tot_tr_amt: 24
                            tr_typ: Cr
                          - cess:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cessbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cgst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            cgstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            desc: >-
                              Negative liability adjusted in GSTR3B reverse
                              charge
                            dschrg_typ: credit
                            dt: 10/03/2017
                            igst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            igstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            ref_no: DI0506170000004
                            sgst:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            sgstbal:
                              fee: 0
                              intr: 0
                              oth: 0
                              pen: 0
                              tot: 0
                              tx: 1000
                            tot_rng_bal: 24
                            tot_tr_amt: 24
                            tr_typ: Cr
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 66b13aa7-f255-447c-bc68-997f2a54a278
          headers: {}
      deprecated: false
      security: []

````